### Method

# Clutter Text set_max_length

#### Declaration [src]

    void
    clutter_text_set_max_length (
      ClutterText* self,
      gint max
    )

#### Description [src]

Sets the maximum allowed length of the contents of the actor. If the current contents are longer than the given length, then they will be truncated to fit.

Sets property | `Clutter.Text:max-length`

#### Parameters

`max`

  Type: `gint`

  The maximum number of characters allowed in the text actor; 0 to disable or -1 to set the length of the current string.